using Godot;
using Godot.Collections;

namespace Cirno.Scripts.Components;

public partial class PlayerDetection : Area2D
{
    public InteractionController CachedPlayer => _cachedPlayer;

    protected InteractionController _cachedPlayer;
    
    public virtual bool IsPlayerInRange { get; set; }

    public virtual bool IsPlayerInSight(uint collisionMask)
    {
        return false;
    }
}